ServerEvents.recipes(event => {
    let knives_cutting = (tool, source, result, resultNum) => {
        event.recipes.kubejs.shapeless(Item.of(result, resultNum), // arg 1: output
            [
                tool,
                source
            ]
        )
        .damageIngredient(tool,1)
    }
  
    //Now we can make many 'resurvitem' recipes without typing that huge block over and over!
    knives_cutting('#forge:tools/knives', 'minecraft:salmon',                       'farmersdelight:salmon_slice', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:smoked_ham',              'minecraft:cooked_porkchop', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:sweet_berry_cheesecake',  'farmersdelight:sweet_berry_cheesecake_slice', 4)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_beetroots',          'minecraft:beetroot_seeds', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_cabbages',           'farmersdelight:cabbage_seeds', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_carrots',            'minecraft:carrot', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_onions',             'farmersdelight:onion', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_potatoes',           'minecraft:potato', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_rice',               'farmersdelight:rice', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:wild_tomatoes',           'farmersdelight:tomato_seeds', 1)
    knives_cutting('#forge:tools/knives', 'farmersdelight:apple_pie',               'farmersdelight:apple_pie_slice', 4)
    knives_cutting('#forge:tools/knives', 'minecraft:beef',                         'farmersdelight:minced_beef', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:cabbage',                 'farmersdelight:cabbage_leaf', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:cake',                         'farmersdelight:cake_slice', 7)
    knives_cutting('#forge:tools/knives', 'minecraft:chicken',                      'farmersdelight:chicken_cuts', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:chocolate_pie',           'farmersdelight:chocolate_pie_slice', 4)
    knives_cutting('#forge:tools/knives', 'minecraft:cod',                          'farmersdelight:cod_slice', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:cooked_chicken',               'farmersdelight:cooked_chicken_cuts', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:cooked_cod',                   'farmersdelight:cooked_cod_slice', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:cooked_mutton',                'farmersdelight:cooked_mutton_chops', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:cooked_salmon',                'farmersdelight:cooked_salmon_slice', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:ham',                     'minecraft:porkchop', 2)
    knives_cutting('#forge:tools/knives', 'farmersdelight:kelp_roll',               'farmersdelight:kelp_roll_slice', 3)
    knives_cutting('#forge:tools/knives', 'minecraft:melon',                        'minecraft:melon_slice', 9)
    knives_cutting('#forge:tools/knives', 'minecraft:mutton',                       'farmersdelight:mutton_chops', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:porkchop',                     'farmersdelight:bacon', 2)
    knives_cutting('#forge:tools/knives', 'minecraft:pumpkin',                      'farmersdelight:pumpkin_slice', 4)
    knives_cutting('#forge:tools/knives', 'farmersdelight:red_mushroom_colony',     'minecraft:red_mushroom', 5)
    knives_cutting('#forge:tools/knives', 'farmersdelight:rice_panicle',            'farmersdelight:rice', 1)

    knives_cutting('#forge:tools/knives', 'mynethersdelight:crimson_fungus_colony',   'minecraft:crimson_fungus', 5)
    knives_cutting('#forge:tools/knives', 'mynethersdelight:hoglin_hide',             'minecraft:leather', 4)
    knives_cutting('#forge:tools/knives', 'mynethersdelight:warped_fungus_colony',    'minecraft:warped_fungus', 5)

    knives_cutting('#forge:tools/knives', 'oceansdelight:elder_guardian_slab',  'oceansdelight:elder_guardian_slice', 9)
    knives_cutting('#forge:tools/knives', 'oceansdelight:guardian',             'oceansdelight:guardian_tail', 1)
    knives_cutting('#forge:tools/knives', 'minecraft:pufferfish',               'oceansdelight:fugu_slice', 6)
    knives_cutting('#forge:tools/knives', 'oceansdelight:tentacles',            'oceansdelight:cut_tentacles', 3)

    knives_cutting('#forge:tools/knives', 'autumnity:turkey',               'autumnity:turkey_piece', 5)
    knives_cutting('#forge:tools/knives', 'autumnity:cooked_turkey',        'autumnity:cooked_turkey_piece', 5)
    knives_cutting('#forge:tools/knives', 'autumnity:large_pumpkin_slice',  'farmersdelight:pumpkin_slice', 4)

    knives_cutting('#forge:tools/knives', 'upgrade_aquatic:perch',          'abnormals_delight:perch_slice', 2)
    knives_cutting('#forge:tools/knives', 'upgrade_aquatic:pike',           'abnormals_delight:pike_slice', 2)
    knives_cutting('#forge:tools/knives', 'upgrade_aquatic:cooked_perch',   'abnormals_delight:cooked_perch_slice', 2)
    knives_cutting('#forge:tools/knives', 'upgrade_aquatic:cooked_pike',    'abnormals_delight:cooked_pike_slice', 2)
    
    knives_cutting('#forge:tools/knives', 'neapolitan:vanilla_cake',    'abnormals_delight:vanilla_cake_slice', 6)
    knives_cutting('#forge:tools/knives', 'neapolitan:strawberry_cake', 'abnormals_delight:strawberry_cake_slice', 6)
    knives_cutting('#forge:tools/knives', 'neapolitan:mint_cake',       'abnormals_delight:mint_cake_slice', 6)
    knives_cutting('#forge:tools/knives', 'neapolitan:chocolate_cake',  'abnormals_delight:chocolate_cake_slice', 6)
    knives_cutting('#forge:tools/knives', 'neapolitan:banana_cake',     'abnormals_delight:banana_cake_slice', 6)
    knives_cutting('#forge:tools/knives', 'neapolitan:adzuki_cake',     'abnormals_delight:adzuki_cake_slice', 6)

        knives_cutting('#forge:tools/knives', 'minecraft:porkchop',     'kubejs:tallow', 2)
})